# Backend
Sección del programa que gestiona la parte logica del mismo

El Backend fue desarrollado usando el lenguaje python con el framework django.


# Frontend
Sección del programa que muestra de forma visual, los datos entregados por el backend

El Frontend fue realizado usando el framework svelte js (ref: https://svelte.dev/).


# Docker
Docker es una herramienta que permite crear un ambiente de trabajo/desarrollo con las utilidades y lenguajes requeridos (ref: https://www.docker.com/).

# Descarga del proyecto
Para descargar el proyecto, realice los siguientes pasos en una ***consola bash***.

~~~bash
mkdir <carpeta>/transporte
cd <carpeta>/transporte
git clone https://gitlab.com/m3f_usm/T_digital_Transporte_USM.git 

~~~


## Ejecución del proyecto

backend
~~~bash
cd <carpeta>/transporte
docker compose up -d
~~~

Para confirme que se halla levantado los  servicios.
~~~bash
docker compose ps
~~~

Para revisar los registros de log de los servicios, ejecute (control+c para salir)
~~~bash
docker compose logs -f db
docker compose logs -f app
~~~

Si una vez que restaurado el respaldo de la base de datos, ésta no que ejecutandose, iniciela manualmente
~~~bash
docker compose start db
~~~


## Visualización del proyecto.
El backend del proyecto, se levanta usando el puerto 4000

http://localhost:4000/rutaParadero/paradero_info/?id=

En esta url, se encuentra la llamda a la api getInfoDevice y dependiendo de el valor de la id tendra un respuesta acorde a la id.

El frontend del proyecto, se levanta usando el puerto 3000

http://localhost:3000/rutaParadero?id=

En esta url, se encuentra el desarrollo de la parte visual del proyecto.

## Detención del proyecto
~~~bash
cd <carpeta>/transporte
docker compose down

~~~
